/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.socialnetworking.model;

import com.liferay.portal.kernel.annotation.AutoEscape;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the MeetupsEntry service. Represents a row in the &quot;SN_MeetupsEntry&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link com.liferay.socialnetworking.model.impl.MeetupsEntryModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link com.liferay.socialnetworking.model.impl.MeetupsEntryImpl}.
 * </p>
 *
 * <p>
 * Never modify or reference this interface directly. All methods that expect a meetups entry model instance should use the {@link MeetupsEntry} interface instead.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see MeetupsEntry
 * @see com.liferay.socialnetworking.model.impl.MeetupsEntryImpl
 * @see com.liferay.socialnetworking.model.impl.MeetupsEntryModelImpl
 * @generated
 */
public interface MeetupsEntryModel extends BaseModel<MeetupsEntry> {
	/**
	 * Gets the primary key of this meetups entry.
	 *
	 * @return the primary key of this meetups entry
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this meetups entry
	 *
	 * @param pk the primary key of this meetups entry
	 */
	public void setPrimaryKey(long pk);

	/**
	 * Gets the meetups entry id of this meetups entry.
	 *
	 * @return the meetups entry id of this meetups entry
	 */
	public long getMeetupsEntryId();

	/**
	 * Sets the meetups entry id of this meetups entry.
	 *
	 * @param meetupsEntryId the meetups entry id of this meetups entry
	 */
	public void setMeetupsEntryId(long meetupsEntryId);

	/**
	 * Gets the company id of this meetups entry.
	 *
	 * @return the company id of this meetups entry
	 */
	public long getCompanyId();

	/**
	 * Sets the company id of this meetups entry.
	 *
	 * @param companyId the company id of this meetups entry
	 */
	public void setCompanyId(long companyId);

	/**
	 * Gets the user id of this meetups entry.
	 *
	 * @return the user id of this meetups entry
	 */
	public long getUserId();

	/**
	 * Sets the user id of this meetups entry.
	 *
	 * @param userId the user id of this meetups entry
	 */
	public void setUserId(long userId);

	/**
	 * Gets the user uuid of this meetups entry.
	 *
	 * @return the user uuid of this meetups entry
	 * @throws SystemException if a system exception occurred
	 */
	public String getUserUuid() throws SystemException;

	/**
	 * Sets the user uuid of this meetups entry.
	 *
	 * @param userUuid the user uuid of this meetups entry
	 */
	public void setUserUuid(String userUuid);

	/**
	 * Gets the user name of this meetups entry.
	 *
	 * @return the user name of this meetups entry
	 */
	@AutoEscape
	public String getUserName();

	/**
	 * Sets the user name of this meetups entry.
	 *
	 * @param userName the user name of this meetups entry
	 */
	public void setUserName(String userName);

	/**
	 * Gets the create date of this meetups entry.
	 *
	 * @return the create date of this meetups entry
	 */
	public Date getCreateDate();

	/**
	 * Sets the create date of this meetups entry.
	 *
	 * @param createDate the create date of this meetups entry
	 */
	public void setCreateDate(Date createDate);

	/**
	 * Gets the modified date of this meetups entry.
	 *
	 * @return the modified date of this meetups entry
	 */
	public Date getModifiedDate();

	/**
	 * Sets the modified date of this meetups entry.
	 *
	 * @param modifiedDate the modified date of this meetups entry
	 */
	public void setModifiedDate(Date modifiedDate);

	/**
	 * Gets the title of this meetups entry.
	 *
	 * @return the title of this meetups entry
	 */
	@AutoEscape
	public String getTitle();

	/**
	 * Sets the title of this meetups entry.
	 *
	 * @param title the title of this meetups entry
	 */
	public void setTitle(String title);

	/**
	 * Gets the description of this meetups entry.
	 *
	 * @return the description of this meetups entry
	 */
	@AutoEscape
	public String getDescription();

	/**
	 * Sets the description of this meetups entry.
	 *
	 * @param description the description of this meetups entry
	 */
	public void setDescription(String description);

	/**
	 * Gets the start date of this meetups entry.
	 *
	 * @return the start date of this meetups entry
	 */
	public Date getStartDate();

	/**
	 * Sets the start date of this meetups entry.
	 *
	 * @param startDate the start date of this meetups entry
	 */
	public void setStartDate(Date startDate);

	/**
	 * Gets the end date of this meetups entry.
	 *
	 * @return the end date of this meetups entry
	 */
	public Date getEndDate();

	/**
	 * Sets the end date of this meetups entry.
	 *
	 * @param endDate the end date of this meetups entry
	 */
	public void setEndDate(Date endDate);

	/**
	 * Gets the total attendees of this meetups entry.
	 *
	 * @return the total attendees of this meetups entry
	 */
	public int getTotalAttendees();

	/**
	 * Sets the total attendees of this meetups entry.
	 *
	 * @param totalAttendees the total attendees of this meetups entry
	 */
	public void setTotalAttendees(int totalAttendees);

	/**
	 * Gets the max attendees of this meetups entry.
	 *
	 * @return the max attendees of this meetups entry
	 */
	public int getMaxAttendees();

	/**
	 * Sets the max attendees of this meetups entry.
	 *
	 * @param maxAttendees the max attendees of this meetups entry
	 */
	public void setMaxAttendees(int maxAttendees);

	/**
	 * Gets the price of this meetups entry.
	 *
	 * @return the price of this meetups entry
	 */
	public double getPrice();

	/**
	 * Sets the price of this meetups entry.
	 *
	 * @param price the price of this meetups entry
	 */
	public void setPrice(double price);

	/**
	 * Gets the thumbnail id of this meetups entry.
	 *
	 * @return the thumbnail id of this meetups entry
	 */
	public long getThumbnailId();

	/**
	 * Sets the thumbnail id of this meetups entry.
	 *
	 * @param thumbnailId the thumbnail id of this meetups entry
	 */
	public void setThumbnailId(long thumbnailId);

	/**
	 * Gets a copy of this meetups entry as an escaped model instance by wrapping it with an {@link com.liferay.portal.kernel.bean.AutoEscapeBeanHandler}.
	 *
	 * @return the escaped model instance
	 * @see com.liferay.portal.kernel.bean.AutoEscapeBeanHandler
	 */
	public MeetupsEntry toEscapedModel();

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public void setEscapedModel(boolean escapedModel);

	public Serializable getPrimaryKeyObj();

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(MeetupsEntry meetupsEntry);

	public int hashCode();

	public String toString();

	public String toXmlString();
}